#!/bin/bash

ROOTUID="0"

if [ "$(id -u)" -ne "$ROOTUID" ] ; then
    echo "This script must be executed with root privileges."
    exit 1
fi


# copy the upstart service files
mkdir -p /usr/lib/systemd/system
cp -f ./TiTopStreamerManager.service /usr/lib/systemd/system/TiTopStreamerManager.service
cp -f ./TiTopStreamer.service /usr/lib/systemd/system/TiTopStreamer.service


# install and start services
systemctl daemon-reload
systemctl enable TiTopStreamerManager.service
systemctl enable TiTopStreamer.service
systemctl start TiTopStreamerManager.service
systemctl start TiTopStreamer.service
