#!/bin/bash

ROOTUID="0"

if [ "$(id -u)" -ne "$ROOTUID" ] ; then
    echo "This script must be executed with root privileges."
    exit 1
fi

# stop service at first
systemctl stop TiTopStreamerManager.service
systemctl stop TiTopStreamer.service

# disable service
systemctl disable TiTopStreamerManager.service
systemctl disable TiTopStreamer.service

# delete service file
rm -rf /usr/lib/systemd/system/TiTopStreamerManager.service
rm -rf /usr/lib/systemd/system/TiTopStreamer.service


# reload service 
systemctl daemon-reload
